local M = {}

----------------------------------------------------------------------------------------------------
-- Variables
----------------------------------------------------------------------------------------------------

local UISettings = {}

----------------------------------------------------------------------------------------------------

local function getSettings()
    --[[
    Returns:
        <table> - the UI settings for the last path generated
    ]]--
    return UISettings
end

local function setSettings(routeLength, alwaysSunny, addTraffic, useRoadIndicator, destinationOnly, keepCurrentVehicle, waypointSpacing)
    --[[
    Sets the UI settings
    ]]--
    -- Store for UI for scenario restart
    UISettings = {
        routeLength = routeLength,
        alwaysSunny = alwaysSunny,
        traffic = addTraffic,
        roadIndicator = useRoadIndicator,
        destinationOnly = destinationOnly,
        keepCurrentVehicle = keepCurrentVehicle,
        waypointSpacing = waypointSpacing
    }
end

M.getSettings = getSettings
M.setSettings = setSettings
return M